Delete a file property
delete
/rest/ofscCore/v1/activities/{activityId}/{propertyLabel}
Important: This information only applies to Oracle Field Service environments. You can verify whether you've Oracle Field Service or Oracle Fusion Field Service, by signing in and checking on the About page.
This method deletes the specified file property for the specified activtiy.
Request
Supported Media Types
- application/octet-stream
Path Parameters
-
activityId(required): integer
The unique identifier of the activity in Oracle Field Service.
-
propertyLabel(required): string
The label of a custom property. This custom property must be of type 'file'.
Response
Supported Media Types
- application/json
- application/schema+json
204 Response
This section describes the 204 status response for this operation. This response code indicates that the operation completed successfully. The operation does not return elements in the response body.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to delete a file property of an activity by submitting a DELETE request on the REST resource using cURL.
curl -u '<CLIENT-ID>@<INSTANCE-NAME>:<CLIENT-SECRET>' -X DELETE 'https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCore/v1/activities/4225269/uploadedPic'
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 204 No Content